#!/usr/bin/env python

from PyQt4.QtCore import *
from PyQt4.QtGui import *

import show_results_ui

class ShowResults(QDialog):
    def __init__(self, parent=None):
        QWidget.__init__(self, parent)
        self.ui=show_results_ui.Ui_frmShowResults()
        self.ui.setupUi(self)
        
        QObject.connect(self.ui.pbOK,SIGNAL("clicked()"),self.pbOK_clicked)
        QObject.connect(self.ui.pbSave,SIGNAL("clicked()"),self.pbSave_clicked)

        #set monospace font on various platform
        import platform
        font = QFont()
        if platform.system()=='Linux':
            font.setFamily("Monospace")
            font.setPointSize(10)
        elif platform.system()=='Windows':
            font.setFamily("Courier New")
            font.setPointSize(12)
        elif platform.system()=='Darwin':
            font.setFamily("Courier New")
            font.setPointSize(14)                        
        
        self.ui.teResults.setFont(font)

    def pbOK_clicked(self):
        self.accept()

    def pbSave_clicked(self):
        fd = QFileDialog(self)
        filename = str(fd.getSaveFileName(self,'Save results','','All files (*)'))
        if filename:
            file=open(filename,'w')
            file.writelines(str(self.ui.teResults.toPlainText()))
            file.close()